package inf1010.pusle.chat;

/**
 * A small class containing a packet.
 */
public class Message {

    /** The packet type. */
    private final byte type;

    /** The packet data. */
    private final String data;

    /**
     * Creates a new message.
     *
     * @param type the packet type for this message.
     * @param data the data that was in the packet.
     */
    public Message(byte type, String data) {
        this.type = type;
        this.data = data;
    }

    /**
     * Gets this message's type.
     *
     * @return this message's type.
     */
    public byte getType() {
        return type;
    }

    /**
     * Gets this message's data.
     *
     * @return this message's data.
     */
    public String getData() {
        return data;
    }
}