package inf1010.pusle.chat.client;

import inf1010.pusle.chat.Message;
import java.io.IOException;

/**
 * An interface for classes capable of handling chat messages.
 */
public interface ChatListener {

    /**
     * Handle a packet that was received.
     *
     * @param m the packet that was received.
     * @return true if the packet was handled,
     *         false if it should be sent to the other listeners.
     */
    public boolean handleMessage(Message m) throws IOException;

}